geos::operation::relate::RelateNode Class Referencefinal

Represents a node in the topological graph used to compute spatial relationships. More...

`#include <RelateNode.h>`

Inheritance diagram for geos::operation::relate::RelateNode:

## Public Member Functions

| RelateNode (const geom::Coordinate &coord, geomgraph::EdgeEndStar *edges)
void | updateIMFromEdges (geom::IntersectionMatrix &im)
Public Member Functions inherited from geos::geomgraph::Node
| Node (const geom::Coordinate &newCoord, EdgeEndStar *newEdges)
const geom::Coordinate & | getCoordinate () const
EdgeEndStar * | getEdges ()
bool | isIsolated () const override
void | add (EdgeEnd *e)
| Add the edge to the list of edges at this node.
void | mergeLabel (const Node &n)
void | mergeLabel (const Label &label2)
| To merge labels for two nodes, the merged location for each LabelElement is computed.
void | setLabel (uint8_t argIndex, geom::Location onLocation)
void | setLabelBoundary (uint8_t argIndex)
| Updates the label of a node to BOUNDARY, obeying the mod-2 boundaryDetermination rule.
geom::Location | computeMergedLocation (const Label &label2, uint8_t eltIndex)
std::string | print () const
const std::vector< double > & | getZ () const
void | addZ (double)
bool | isIncidentEdgeInResult () const
| Tests whether any incident edge is flagged as being in the result.
Public Member Functions inherited from geos::geomgraph::GraphComponent
| GraphComponent (const Label &newLabel)
Label & | getLabel ()
const Label & | getLabel () const
void | setLabel (const Label &newLabel)
void | setInResult (bool p_isInResult)
bool | isInResult () const
void | setCovered (bool isCovered)
bool | isCovered () const
bool | isCoveredSet () const
bool | isVisited () const
void | setVisited (bool p_isVisited)
void | updateIM (geom::IntersectionMatrix &im)

## Protected Member Functions

void | computeIM (geom::IntersectionMatrix &im) override
| Basic nodes do not compute IMs.
Protected Member Functions inherited from geos::geomgraph::Node
void | testInvariant () const

## Additional Inherited Members

Protected Attributes inherited from geos::geomgraph::Node
geom::Coordinate | coord
EdgeEndStar * | edges
Protected Attributes inherited from geos::geomgraph::GraphComponent
Label | label

## Detailed Description

Represents a node in the topological graph used to compute spatial relationships.

## Member Function Documentation

## computeIM()

void geos::operation::relate::RelateNode::computeIM | ( | geom::IntersectionMatrix & |  | ) |

override protected virtual

Basic nodes do not compute IMs.

Reimplemented from geos::geomgraph::Node.

## updateIMFromEdges()

void geos::operation::relate::RelateNode::updateIMFromEdges | ( | geom::IntersectionMatrix & | im | ) |

Update the IM with the contribution for the EdgeEnds incident on this node.

The documentation for this class was generated from the following file:

- relate/RelateNode.h